# PspLibExport Struct Reference

`#include <tools/prxtypes.h>`

Collaboration diagram for PspLibExport:

[legend]

## Data Fields

PspLibExport * | prev
| Previous export in the chain.
PspLibExport * | next
| Next export in the chain.
char | name [PSP_LIB_MAX_NAME]
| Name of the library.
u32 | addr
| Virtual address of the lib import stub.
PspModuleExport | stub
| Copy of the import stub (in native byte order).
PspEntry | funcs [PSP_MAX_F_ENTRIES]
| List of function entries.
int | f_count
| Number of function entries.
PspEntry | vars [PSP_MAX_V_ENTRIES]
| List of variable entried.
int | v_count
| Number of variable entires.

## Field Documentation

u32 PspLibExport::addr

| Virtual address of the lib import stub.

int PspLibExport::f_count

| Number of function entries.

struct PspEntry PspLibExport::funcs[PSP_MAX_F_ENTRIES]

| List of function entries.

char PspLibExport::name[PSP_LIB_MAX_NAME]

| Name of the library.

struct PspLibExport* PspLibExport::next

| Next export in the chain.

struct PspLibExport* PspLibExport::prev

| Previous export in the chain.

struct PspModuleExport PspLibExport::stub

| Copy of the import stub (in native byte order).

int PspLibExport::v_count

| Number of variable entires.

struct PspEntry PspLibExport::vars[PSP_MAX_V_ENTRIES]

| List of variable entried.

The documentation for this struct was generated from the following file:

- tools/prxtypes.h